<?php
/**
 * Clase Base Bean para BaseCrCreditoCuotaBN
 *
 * @package    Sedapal
 * @subpackage BaseCrCreditoCuotaBN
 * @author     Willy
 * @version    SVN:: BaseCrCreditoCuotaBN.class.php,v 1.1 2013-01-04 11:12:50 william.taype Exp $
 */
abstract class BaseCrCreditoCuotaBN
{
  protected $Idcuota;
  protected $Fechacuota;
  protected $Montototal;
  protected $Saldototal;
  protected $Montocapital;
  protected $Montointeres;
  protected $Montomora;
  protected $Estado;
  protected $Moneda;
  protected $Diasmora;
  protected $Fechacreacion;
  protected $Usuariocreacion;
  protected $Eliminado;
  protected $Fechaeliminado;
  protected $Usuarioeliminado;
  protected $Idcreditocrono;
  protected $Mensaje;
  protected $Error;

  public function getIdcuota(){
    return $this->Idcuota;
  }
  public function setIdcuota($v1){
    $this->Idcuota = $v1; 
  }

  public function getFechacuota(){
    return $this->Fechacuota;
  }
  public function setFechacuota($v1){
    $this->Fechacuota = $v1; 
  }

  public function getMontototal(){
    return $this->Montototal;
  }
  public function setMontototal($v1){
    $this->Montototal = $v1; 
  }

  public function getSaldototal(){
    return $this->Saldototal;
  }
  public function setSaldototal($v1){
    $this->Saldototal = $v1; 
  }

  public function getMontocapital(){
    return $this->Montocapital;
  }
  public function setMontocapital($v1){
    $this->Montocapital = $v1; 
  }

  public function getMontointeres(){
    return $this->Montointeres;
  }
  public function setMontointeres($v1){
    $this->Montointeres = $v1; 
  }

  public function getMontomora(){
    return $this->Montomora;
  }
  public function setMontomora($v1){
    $this->Montomora = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getMoneda(){
    return $this->Moneda;
  }
  public function setMoneda($v1){
    $this->Moneda = $v1; 
  }

  public function getDiasmora(){
    return $this->Diasmora;
  }
  public function setDiasmora($v1){
    $this->Diasmora = $v1; 
  }

  public function getFechacreacion(){
    return $this->Fechacreacion;
  }
  public function setFechacreacion($v1){
    $this->Fechacreacion = $v1; 
  }

  public function getUsuariocreacion(){
    return $this->Usuariocreacion;
  }
  public function setUsuariocreacion($v1){
    $this->Usuariocreacion = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getFechaeliminado(){
    return $this->Fechaeliminado;
  }
  public function setFechaeliminado($v1){
    $this->Fechaeliminado = $v1; 
  }

  public function getUsuarioeliminado(){
    return $this->Usuarioeliminado;
  }
  public function setUsuarioeliminado($v1){
    $this->Usuarioeliminado = $v1; 
  }

  public function getIdcreditocrono(){
    return $this->Idcreditocrono;
  }
  public function setIdcreditocrono($v1){
    $this->Idcreditocrono = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_credito_cuotaBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_credito_cuotaRs )
  {
    $o_CrCreditoCuotaBN = new CrCreditoCuotaBN();
    $o_CrCreditoCuotaBN->setIdcuota( $o_Cr_credito_cuotaRs['idcuota'] );
    $o_CrCreditoCuotaBN->setFechacuota( $o_Cr_credito_cuotaRs['fechacuota'] );
    $o_CrCreditoCuotaBN->setMontototal( $o_Cr_credito_cuotaRs['montototal'] );
    $o_CrCreditoCuotaBN->setSaldototal( $o_Cr_credito_cuotaRs['saldototal'] );
    $o_CrCreditoCuotaBN->setMontocapital( $o_Cr_credito_cuotaRs['montocapital'] );
    $o_CrCreditoCuotaBN->setMontointeres( $o_Cr_credito_cuotaRs['montointeres'] );
    $o_CrCreditoCuotaBN->setMontomora( $o_Cr_credito_cuotaRs['montomora'] );
    $o_CrCreditoCuotaBN->setEstado( $o_Cr_credito_cuotaRs['estado'] );
    $o_CrCreditoCuotaBN->setMoneda( $o_Cr_credito_cuotaRs['moneda'] );
    $o_CrCreditoCuotaBN->setDiasmora( $o_Cr_credito_cuotaRs['diasmora'] );
    $o_CrCreditoCuotaBN->setFechacreacion( $o_Cr_credito_cuotaRs['fechacreacion'] );
    $o_CrCreditoCuotaBN->setUsuariocreacion( $o_Cr_credito_cuotaRs['usuariocreacion'] );
    $o_CrCreditoCuotaBN->setEliminado( $o_Cr_credito_cuotaRs['eliminado'] );
    $o_CrCreditoCuotaBN->setFechaeliminado( $o_Cr_credito_cuotaRs['fechaeliminado'] );
    $o_CrCreditoCuotaBN->setUsuarioeliminado( $o_Cr_credito_cuotaRs['usuarioeliminado'] );
    $o_CrCreditoCuotaBN->setIdcreditocrono( $o_Cr_credito_cuotaRs['idcreditocrono'] );
    return $o_CrCreditoCuotaBN;
  }
}